# Make sure that you have the same path created
# if not use mkdir -p /volume1/docker/Zabbix/
# Generate PSK FILE:
# "openssl rand -hex 32 >> /volume1/docker/Zabbix/zabbix_agentd.psk"
# change "XXX-IDENTITY" to the Proxy Name
# change "xxx.xxx.xxx" to the IP Adress or the DNS name of you Zabbix Server

version: "3"

services:
  Zabbix-Proxy:
    container_name: Zabbix-Proxy
    restart: always
    image: zabbix/zabbix-proxy-sqlite3:ubuntu-4.4-latest
    environment:
      ZBX_TLSCONNECT: psk
      ZBX_TLSACCEPT: psk
      ZBX_TLSPSKIDENTITY: XXX-IDENTITY
      ZBX_HOSTNAME: XXX-IDENTITY
      ZBX_SERVER_HOST: xxx.xxx.xxx
      ZBX_TLSPSKFILE: zabbix_agentd.psk
      ZBX_SERVER_PORT: 10051
    volumes:
      - /volume1/docker/Zabbix/zabbix_agentd.psk:/var/lib/zabbix/enc/zabbix_agentd.psk
